# Generated by Django 2.2 on 2021-01-16 17:39

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('configs', '0001_initial'),
        ('auth', '0011_update_proxy_permissions'),
        ('accounts', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='usersocialaccount',
            name='social_media',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.SocialMedia'),
        ),
        migrations.AddField(
            model_name='usersocialaccount',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userskill',
            name='created_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_skill_created_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userskill',
            name='deleted_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_skill_account_deleted_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userskill',
            name='modified_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_skill_account_modified_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userskill',
            name='skill',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.Skill'),
        ),
        migrations.AddField(
            model_name='userskill',
            name='skill_level',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.SkillLevel'),
        ),
        migrations.AddField(
            model_name='userskill',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userpersonalinfo',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userotpverification',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userlanguage',
            name='created_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_language_created_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userlanguage',
            name='deleted_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_language_deleted_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userlanguage',
            name='lang',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.Language'),
        ),
        migrations.AddField(
            model_name='userlanguage',
            name='lang_proficiency',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.LanguageProficiency'),
        ),
        migrations.AddField(
            model_name='userlanguage',
            name='modified_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_language_modified_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userlanguage',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='usereducation',
            name='country',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.Country'),
        ),
        migrations.AddField(
            model_name='usereducation',
            name='created_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_education_created_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='usereducation',
            name='deleted_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_education_deleted_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='usereducation',
            name='education_major',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.EducationMajor'),
        ),
        migrations.AddField(
            model_name='usereducation',
            name='education_title',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.EducationTitle'),
        ),
        migrations.AddField(
            model_name='usereducation',
            name='modified_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_education_modified_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='usereducation',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userdeactivation',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userdeactivation',
            name='user_deactivation_reason',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.UserDeactivationReason'),
        ),
        migrations.AddField(
            model_name='usercertification',
            name='created_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_certification_created_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='usercertification',
            name='deleted_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_certification_deleted_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='usercertification',
            name='modified_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_certification_modified_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='usercertification',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userbank',
            name='created_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_bank_created_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userbank',
            name='deleted_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_bank_deleted_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userbank',
            name='modified_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_bank_modified_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userbank',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='useraddress',
            name='city',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.City'),
        ),
        migrations.AddField(
            model_name='useraddress',
            name='created_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_address_created_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='useraddress',
            name='deleted_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_address_deleted_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='useraddress',
            name='modified_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_address_modified_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='useraddress',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='useractiveloggedin',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='resetpassword',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='user',
            name='created_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_created_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='user',
            name='deleted_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_deleted_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='user',
            name='groups',
            field=models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups'),
        ),
        migrations.AddField(
            model_name='user',
            name='level',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='accounts.Level'),
        ),
        migrations.AddField(
            model_name='user',
            name='modified_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_modified_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='user',
            name='user_permissions',
            field=models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions'),
        ),
        migrations.AddField(
            model_name='user',
            name='user_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='accounts.UserType'),
        ),
    ]
